ZITADEL Docs
APIsCore ResourcesV2Organization

Set Organization Metadata

Sets a list of key value pairs. Existing metadata entries with matching keys are overwritten. Existing metadata entries without matching keys are untouched. To remove existing metadata entries, pass an empty metadata value or use DeleteOrganizationMetadata. If no metadata entry exists for a given key, passing an empty value for that key has no effect (no-op). For HTTP requests, make sure the bytes array value is base64 encoded.

Required permission:

  • org.write
POST
/v2/organizations/{organization_id}/metadata

Path Parameters

organization_id*string

Organization ID is the unique identifier of the organization whose metadata is to be set.

Request Body

application/json

metadata?array<>

Metadata is a list of metadata entries to set.

[key: string]?never

Response Body

application/json

curl -X POST "https://loading/v2/organizations/string/metadata" \  -H "Content-Type: application/json" \  -d '{}'
{
  "setDate": "2023-01-15T01:30:15.01Z"
}

Was this page helpful?